<?php 
  require 'config.php'; 
  $query = "SELECT * FROM niveles";
  $results = $conexion->query($query);  
  /*
  * Obtener todos los registros que 
  * se encuentran en la tabla niveles
  */
?>
<!DOCTYPE html>
<html>
  <head>
    <meta charset='utf-8'>
  </head>
  <body>
    
    <h1>Niveles</h1>
    <table>
      <thead>
        <tr>
          <th>id</th>
          <th>Nombre</th>
          <th>Creado</th>
          <th>Actualizado</th>
          <th>&nbsp;</th>
          <th>&nbsp;</th>
          <th>&nbsp;</th>                    
        </tr>
      </thead>
      <tbody>
          <?php
          while ($result = $results->fetch_array()) {
            ?>
          <tr>
            <td><?php echo $result['id']; ?></td>
            <td><?php echo $result['nombre']; ?></td>
            <td><?php echo $result['creado']; ?></td>
            <td><?php echo $result['actualizado']; ?></td>
            <td>
                <!-- Enlace hacia el archivo show.php -->
                <a href="show.php?id=<?php echo $result['id']; ?>">Ver</a>
            </td>
            <td>
                <!-- Enlace hacia el archivo edit.php -->
                <a href="edit.php?id=<?php echo $result['id']; ?>">Editar</a>
            </td>
            <td>
                <!-- 
                    Acción hacia destroy.php
                    En este caso se utiliza un formulario porque el método de envío de datos tiene que ser POST.
                    Al presionar un enlace - link - se genera una petición hacia el servidor que utiliza el método GET.
                 -->
                <form action="destroy.php" method="post">
                  <input type="hidden" name="id" value="<?php echo $result['id']; ?>">
                  <input type="submit" name="eliminar" value="Eliminar">
                </form>
            </td>
          </tr>
            <?php
          }          
          ?>
      </tbody>
    </table>
    
    <p>
      <!-- Enlace hacia el archivo new.php -->
      <a href="new.php">Agregar Nivel</a>
    </p>
    
  </body>
</html>